glade-sharp 2.12.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. System.Object Global API elements for Global class collects certain, commonly used funtions of the underlying libglade API which is necessary to glade-sharp to load the .glade files. All members of this class are static functions. Glade-sharp uses the functions to load
Register custom properties to a widget
Read enums/flags from strings present in .glade files
Register widget with XML tree, read widget name from widget pointer
- Constructor
  2.12.0.0
  Default constructor
  The Global class has only static functions, and no methods, which make it redundant for us to normally create this object.
- Method
  2.12.0.0
  System.Int32 `` `` a a This helper routine is designed to be used by widget build routines to convert the string representations of enumeration values found in the XML descriptions to the integer values that can be used to configure the widget. a The string is composed of string names or nicknames for various flags separated by '|'.
- Method
  2.12.0.0
  System.UInt32 `` `` a a This helper routine is designed to be used by widget build routines to convert the string representations of flags values found in the XML descriptions to the integer values that can be used to configure the widget. a The string is composed of string names or nicknames for various flags separated by '|'.
- Method
  2.12.0.0
  System.String `` a Used to get the name of a widget that was generated by a object. a Get Widget Name of current widget.
- Method
  2.12.0.0
  Glade.XML `` a This function is used to get the object that built this widget. a
- Method
  2.12.0.0
  System.String `` a Checks the version of a module. a
- Method
  2.12.0.0
  System.Void `` `` `` the of the widget. the name of the custom property the to call when the property is found. This method provides a way to register handlers for custom properties. Some properties are not (yet) handled through the GObject property code, so can not be handled by the generic code. This function provides a way to register handlers for these properties. Such handlers will apply for the GType type and all its descendants.
- Method
  2.12.0.0
  System.Void `` `` `` `` the of a widget. the used to construct the widget. the used to construct the children or null. the to find the internal children or null. This method registers new construction methods for a widget type.
- Method
  2.12.0.0
  System.Obsolete("Replaced by Glade.XML.CustomHandler static property.")
  System.Void `` the to use when a custom widget is found. this method allows you to override the default behaviour when a Custom widget is found in an interface.